require "stormwatch/workflows/version"
require 'stormwatch/workflows/registry'
require 'stormwatch/workflows/create_board'
require 'stormwatch/workflows/create_box'
require 'stormwatch/workflows/update_box'

module Stormwatch
  module Workflows

    def self.config(&blk)
      yield self
      self
    end

    def self.board_storage=(storage)
      Registry.register('storage.boards', storage)
    end

    def self.box_storage=(storage)
      Registry.register('storage.boxes', storage)
    end

    def self.token_storage=(storage)
      Registry.register('storage.tokens', storage)
    end
  end
end
